## com.bbn.openmap.tools.drawing
Interface DrawingToolRequestor

All Known Implementing Classes:
  DemoLayer, DrawingToolLayer, DrawingToolRequestorList, LinkLayer, LOSGraphicLoader

public interface DrawingToolRequestor

A DrawingToolRequestor is an object that asks a DrawingTool to do something for it. The drawingComplete method is called when the DrawingTool is complete, letting the requestor know when it should get the map repainted, or to send the EditableOMGraphic to another object.

Method Summary
`void` `drawingComplete(OMGraphic omg, OMAction action)` The method where a graphic, and an action to take on the graphic, arrives.
`java.lang.String` `getName()` Needed to fill in a GUI with a receiver's name, to enable the user to send a graphic to a specific object.

Method Detail

### drawingComplete

    public void drawingComplete(OMGraphic omg,
                                OMAction action)

  The method where a graphic, and an action to take on the graphic, arrives.

### getName

    public java.lang.String getName()

  Needed to fill in a GUI with a receiver's name, to enable the user to send a graphic to a specific object. Should be a pretty name, suitable to let a user know what it is. It's important that the requestor have a name, because that could be the key that is used in some GUI components.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details